# Created by pyp2rpm-3.3.10
%global pypi_name oldest-supported-numpy

Name:           python-%{pypi_name}
Version:        2023.12.21
Release:        %mkrel 1
Summary:        Meta-package that provides the oldest NumPy that supports a given Python version and platform
Group:          Development/Python
License:        BSD
URL:            https://github.com/scipy/oldest-supported-numpy
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This is a meta-package which can be used in pyproject.toml files to
automatically provide as a build-time dependency the oldest version of NumPy
that supports the given Python version and platform.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a meta-package which can be used in pyproject.toml files to
automatically provide as a build-time dependency the oldest version of NumPy
that supports the given Python version and platform.

%prep
%autosetup -n %{pypi_name}-%{version}

# loosen reqs
sed -i -e 's/numpy==/numpy>=/g' setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oldest_supported_numpy-%{version}.dist-info


%changelog
* Mon Dec 25 2023 wally <wally> 2023.12.21-1.mga10
+ Revision: 2021220
- imported package python-oldest-supported-numpy

